# Class Rot

java.lang.Object
com.codename1.gaming.physics.box2d.common.Rot

public class Rot extends Object
Represents a rotation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `c`
  `float`
  `s`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rot()`
  `Rot(float angle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Rot`
  `clone()`
  `float`
  `getAngle()`
  `float`
  `getCos()`
  `float`
  `getSin()`
  `void`
  `getXAxis(Vec2 xAxis)`
  `void`
  `getYAxis(Vec2 yAxis)`
  `static final void`
  `mul(Rot q, Rot r, Rot out)`
  `static final void`
  `mulToOut(Rot q, Vec2 v, Vec2 out)`
  `static final void`
  `mulToOutUnsafe(Rot q, Vec2 v, Vec2 out)`
  `static final void`
  `mulTrans(Rot q, Rot r, Rot out)`
  `static final void`
  `mulTrans(Rot q, Vec2 v, Vec2 out)`
  `static final void`
  `mulTransUnsafe(Rot q, Rot r, Rot out)`
  `static final void`
  `mulTransUnsafe(Rot q, Vec2 v, Vec2 out)`
  `static final void`
  `mulUnsafe(Rot q, Rot r, Rot out)`
  `Rot`
  `set(float angle)`
  `Rot`
  `set(Rot other)`
  `Rot`
  `setIdentity()`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### s

    public float s

  - ### c

    public float c

- ## Constructor Details

  - ### Rot

    public Rot()

  - ### Rot

    public Rot(float angle)

- ## Method Details

  - ### getSin

    public float getSin()

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### getCos

    public float getCos()

  - ### set

    public Rot set(float angle)

  - ### set

    public Rot set(Rot other)

  - ### setIdentity

    public Rot setIdentity()

  - ### getAngle

    public float getAngle()

  - ### getXAxis

    public void getXAxis(Vec2 xAxis)

  - ### getYAxis

    public void getYAxis(Vec2 yAxis)

  - ### clone

    public Rot clone()
    Overrides:
      `clone` in class `Object`

  - ### mul

    public static final void mul(Rot q, Rot r, Rot out)

  - ### mulUnsafe

    public static final void mulUnsafe(Rot q, Rot r, Rot out)

  - ### mulTrans

    public static final void mulTrans(Rot q, Rot r, Rot out)

  - ### mulTransUnsafe

    public static final void mulTransUnsafe(Rot q, Rot r, Rot out)

  - ### mulToOut

    public static final void mulToOut(Rot q, Vec2 v, Vec2 out)

  - ### mulToOutUnsafe

    public static final void mulToOutUnsafe(Rot q, Vec2 v, Vec2 out)

  - ### mulTrans

    public static final void mulTrans(Rot q, Vec2 v, Vec2 out)

  - ### mulTransUnsafe

    public static final void mulTransUnsafe(Rot q, Vec2 v, Vec2 out)